Package twisted :: Package coil :: Module coil

[show private | hide private]
[frames | no frames]

## Module twisted.coil.coil

Twisted COIL: COnfiguration ILlumination.

An end-user direct-manipulation interface to Twisted, accessible through the web.

This is a work in progress.

Classes
`CollectionWrapper` | Wrap an existing roots.Collection as a IConfigCollection.
`ConfigCollection` | A default implementation of IConfigCollection.
`Configurator` | A configurator object implementing default behaviour.
`DispenserStorage` | A mini-database of dispensers.
`ICollection` | A collection for coil.
`IConfigCollection` | A coil collection to which objects can be added.
`IConfigurator` | A configurator object.
`IStaticCollection` | A coil collection to which we can't add items.
`StaticCollection` | A roots.Locked that implement IStaticCollection.

Exceptions
`InvalidConfiguration` | I am is raised in the case of an invalid configuration.

Function Summary
| ``createConfigurable`(configurableClass, container, name)` Instantiate a configurable.
| ``getCollection`(obj)` Get an object implementing ICollection for obj.
| ``getConfigurator`(obj)` Get an object implement IConfigurator for obj.
| ``getConfiguratorClass`(klass)` Return an IConfigurator class for given class.
| ``getConfiguratorsForTree`(root)` Return iterator of Configurators for a config tree.
| ``getImplementors`(interface)` Return list of registered classes that implement an interface.
| ``hasFactory`(configurableClass)` Check if factory is available for this class.
| ``registerConfigurator`(configuratorClass, factory)` Register a configurator for a class.
| ``registerFactory`(configurableClass, factory)` Register a factory for a class.

Variable Summary
`dictionary` | `factories`
`dictionary` | `interfaceImplementors`

Function Details

### createConfigurable(configurableClass, container, name)

Instantiate a configurable.

First, I will find the factory for class configurableClass. Then I will call it, with 'container' and 'name' as arguments.

### getCollection(obj)

Get an object implementing ICollection for obj.

### getConfigurator(obj)

Get an object implement IConfigurator for obj.

### getConfiguratorClass(klass)

Return an IConfigurator class for given class.

### getConfiguratorsForTree(root)

Return iterator of Configurators for a config tree.

This really ought to be implemented as a generator.

### getImplementors(interface)

Return list of registered classes that implement an interface.

### hasFactory(configurableClass)

Check if factory is available for this class.

### registerConfigurator(configuratorClass, factory=None)

Register a configurator for a class.

### registerFactory(configurableClass, factory)

Register a factory for a class.

Variable Details

### factories

  Type:
    `dictionary`
  Value:

        {<class twisted.web.static.File at 0x8376e6c>: <function staticFactory\
         at 0x85eecf4>,
         <class twisted.mail.maildir.MaildirDirdbmDomain at 0x83affcc>: <funct\
        ion maildirDbmFactory at 0x84222f4>,
         <class twisted.protocols.ftp.FTPFactory at 0x83f41ec>: <function fact\
        ory at 0x83edaac>,
         <class twisted.mail.mail.MailService at 0x841c9dc>: <function mailFac\
        tory at 0x8470a2c>,
        ...

### interfaceImplementors

  Type:
    `dictionary`
  Value:

        {<class twisted.internet.interfaces.IProtocolFactory at 0x81d4a34>: [<\
        class twisted.protocols.ftp.FTPFactory at 0x83f41ec>,
                                                                             <\
        class twisted.protocols.portforward.ProxyFactory at 0x844cde4>,
                                                                             <\
        class twisted.protocols.socks.SOCKSv4Factory at 0x84b6074>,
                                                                             <\
        class twisted.manhole.telnet.ShellFactory at 0x846c4a4>,
        ...

Generated by Epydoc 1.1 on Sat Feb 15 21:17:47 2003 | http://epydoc.sf.net